### Method

# Gtk TreeViewset_column_drag_function

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_column_drag_function (
      GtkTreeView* tree_view,
      GtkTreeViewColumnDropFunc func,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets a user function for determining where a column may be dropped when dragged. This function is called on every column pair in turn at the beginning of a column drag to determine where a drop can take place. The arguments passed to `func` are: the `tree_view`, the `GtkTreeViewColumn` being dragged, the two `GtkTreeViewColumn`s determining the drop spot, and `user_data`. If either of the `GtkTreeViewColumn` arguments for the drop spot are `NULL`, then they indicate an edge. If `func` is set to be `NULL`, then `tree_view` reverts to the default behavior of allowing all columns to be dropped everywhere.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`func`

  Type: `GtkTreeViewColumnDropFunc`

  A function to determine which columns are reorderable.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to be passed to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  Destroy notifier for `user_data`.

  The argument can be `NULL`.